Bug 1702019 - Should only be able to create conversion hosts for supported providers
Summary: Should only be able to create conversion hosts for supported providers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL: https://github.com/ManageIQ/manageiq/...
Whiteboard:
Depends On: 1695810
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 18:06 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
4 users (show)

Fixed In Version: 5.10.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1695810
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:01 UTC

Comment 2 CFME Bot 2019-04-24 19:45:35 UTC
New commit detected on ManageIQ/manageiq-api/hammer:

https://github.com/ManageIQ/manageiq-api/commit/a911458e8cb39c7bda4fbbe9a6976b092f483fc5
commit a911458e8cb39c7bda4fbbe9a6976b092f483fc5
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue Feb 26 15:35:45 2019 -0500
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue Feb 26 15:35:45 2019 -0500

    Merge pull request #535 from djberg96/enable_disable_conversion_hosts

    Add ability to enable and disable conversion hosts

    (cherry picked from commit 05247d95d28e305fba8e9a9965c88cd8d19b2bd4)

    https://bugzilla.redhat.com/show_bug.cgi?id=1702019

 app/controllers/api/conversion_hosts_controller.rb | 74 +
 spec/requests/conversion_hosts_spec.rb | 129 +-
 2 files changed, 167 insertions(+), 36 deletions(-)

Comment 3 CFME Bot 2019-04-24 19:48:42 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/958ec645785de184730c21a209f2f68cd1fd6981
commit 958ec645785de184730c21a209f2f68cd1fd6981
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Nov 26 14:26:22 2018 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Mon Nov 26 14:26:22 2018 -0500

    Merge pull request #18232 from djberg96/supports_conversion_host

    Add conversion_host option to the SupportsFeatureMixin module

    (cherry picked from commit c9d1e4d6d7e1b52a8bf19687918e844d924909ec)

    https://bugzilla.redhat.com/show_bug.cgi?id=1702019

 app/models/mixins/supports_feature_mixin.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 4 Shveta 2019-05-03 20:44:21 UTC
Getting message "message": "unsupported resource_type ManageIQ::Providers::Vmware::InfraManager::Host",

message": "unsupported resource_type ManageIQ::Providers::Azure::CloudManager::Vm"

When tried to create conversion host for unsupported providers.
Verified in 5.10.4.1.20190430152139_40a1d86

Comment 6 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.